Subject: [abfab] First draft of Usability I-D submitted

From: Rhys Smith <[email-masked]>
Date: Mon, 4 Jul 2011 19:07:01 +0100

Hi all,

I volunteered to pull together the document in the abfab charter around usability of abfab technologies. I've just posted a -00 draft of the doc, which can be found here:

http://www.ietf.org/id/draft-smith-abfab-usability-ui-considerations-00.txt

At the moment, it's pretty rough and ready and is more of a straw man around structure and type of content than anything else. You can consider every single paragraph as "todo".

I've split the document up into what I see as the three main areas of usability of a client that helps users perform abfab magic - managing identities, managing service to identity mappings, and handling errors. Each area definitely needs a lot more work.

So please, all reviews and comments most welcome. Usability is one of those particularly thorny areas that is hard to tie down, but will quite likely make or break this technology when it comes to user acceptance, so I think it's pretty important.

I will definitely be harassing those of you who have expressed an interest (or got shanghaied into being interested) over the coming month or so for feedback and suggestions :-).

Kind Regards,
Rhys.
--
----------------------------------------------------------------------
Dr Rhys Smith                                   e: [email-masked]
Engineering Consultant: Identity & Access Management  (GPG:0xDE2F024C)
Information Services,
Cardiff University,                            t: +44 (0) 29 2087 0126
39-41 Park Place, Cardiff,                     f: +44 (0) 29 2087 4285
CF10 3BB, United Kingdom.                      m: +44 (0) 7968 087 821
----------------------------------------------------------------------